Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# PSDL_Interpreter.h File Reference

`#include "psdl_export.h"`
`#include "tao/orbconf.h"`
`#include "ace/Synch.h"`

Include dependency graph for PSDL_Interpreter.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Lex_String_Input
class | TAO_PSDL_Interpreter
## Defines
#define | YYSTYPE TAO_PSDL_Node *
## Functions
int | TAO_PSDL_yyparse (void *)
void | yyrestart (FILE *)
int | yylex (TAO_PSDL_Node **, void *)
## Variables
YYSTYPE | yylval
YYSTYPE | yyval

## Define Documentation

#define YYSTYPE TAO_PSDL_Node *

## Function Documentation

int TAO_PSDL_yyparse | ( | void * |  | ) |

int yylex | ( | TAO_PSDL_Node ** | ,
|  | void * |
| ) |

void yyrestart | ( | FILE * |  | ) |

## Variable Documentation

YYSTYPE yylval

YYSTYPE yyval